| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::D3D9StereoDriverBridge Class Reference

Bridge interface from the render system to the stereo driver. More...

`#include <OgreD3D9StereoDriverBridge.h>`

Inheritance diagram for Ogre::D3D9StereoDriverBridge:
[legend]

## Public Member Functions
| D3D9StereoDriverBridge (StereoModeType stereoMode)
virtual | ~D3D9StereoDriverBridge ()
bool | addRenderWindow (D3D9RenderWindow *renderWindow) const
StereoModeType | getStereoMode () const
bool | isStereoEnabled (const String &renderWindowName) const
bool | removeRenderWindow (const String &renderWindowName) const
bool | setDrawBuffer (const ColourBufferType colourBuffer) const

## Static Public Member Functions
static D3D9StereoDriverBridge & | getSingleton (void)
static D3D9StereoDriverBridge * | getSingletonPtr (void)

## Detailed Description

Bridge interface from the render system to the stereo driver.

Loads the correct driver and forwards the methods to the stereo driver implementation.

## Constructor & Destructor Documentation

## ◆ D3D9StereoDriverBridge()

Ogre::D3D9StereoDriverBridge::D3D9StereoDriverBridge | ( | StereoModeType | stereoMode | ) |

## ◆ ~D3D9StereoDriverBridge()

virtual Ogre::D3D9StereoDriverBridge::~D3D9StereoDriverBridge | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getSingleton()

static D3D9StereoDriverBridge& Ogre::D3D9StereoDriverBridge::getSingleton | ( | void |  | ) |
| static

## ◆ getSingletonPtr()

static D3D9StereoDriverBridge* Ogre::D3D9StereoDriverBridge::getSingletonPtr | ( | void |  | ) |
| static

## ◆ getStereoMode()

StereoModeType Ogre::D3D9StereoDriverBridge::getStereoMode | ( |  | ) | const

## ◆ addRenderWindow()

bool Ogre::D3D9StereoDriverBridge::addRenderWindow | ( | D3D9RenderWindow * | renderWindow | ) | const

## ◆ removeRenderWindow()

bool Ogre::D3D9StereoDriverBridge::removeRenderWindow | ( | const String & | renderWindowName | ) | const

## ◆ isStereoEnabled()

bool Ogre::D3D9StereoDriverBridge::isStereoEnabled | ( | const String & | renderWindowName | ) | const

## ◆ setDrawBuffer()

bool Ogre::D3D9StereoDriverBridge::setDrawBuffer | ( | const ColourBufferType | colourBuffer | ) | const

The documentation for this class was generated from the following file:

- OgreD3D9StereoDriverBridge.h